<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>customer form</title>
<link rel="stylesheet" type="text/css href="./css/basic.css" />
</head>
<body>
<f:view>
	<h:form id="start">
		<h:commandLink action="start" value="start" />
		<br/><h:commandLink action="up" value="up" />
	</h:form>
      <h:panelGroup>
        <h:form id="bankForm">
            <h:panelGrid columns="2" styleClass="countryFormTable" >
                 <h:outputLabel for="id" value="id"/>
                <h:panelGroup>
                    <h:outputText id="id" value="#{sessionBean.currentCustomer.id}"/>
                </h:panelGroup>
        
                <h:outputLabel for="name" value="name"/>
                <h:panelGroup>
                    <h:inputText id="name" value="#{sessionBean.currentCustomer.name}" required="true" />
                    <h:message for="name" styleClass="error" showDetail="true" showSummary="false" />
                </h:panelGroup>

                <h:outputLabel for="forName" value="forname"/>
                <h:panelGroup>
                    <h:inputText id="forName" value="#{sessionBean.currentCustomer.forName}" required="true">
                        <f:validateLength maximum="7" minimum="5"/>
                    </h:inputText>
                    <h:message for="forName" styleClass="error" showDetail="true" showSummary="false" />
                </h:panelGroup>

                <h:panelGroup/>
                <h:panelGroup>
                    <h:commandButton action="#{sessionBean.customerControler.save}" value="modifier" />
                    <f:verbatim>&nbsp;</f:verbatim>
                    <h:commandButton action="#{sessionBean.customerControler.cancel}" immediate="true" value="annuler" />
                    <f:verbatim>&nbsp;</f:verbatim>
                    <h:commandButton action="#{sessionBean.customerControler.delete}" immediate="true" value="supprimer" />
                    <f:verbatim>&nbsp;</f:verbatim>
                    <h:commandButton action="#{sessionBean.customerControler.prior}" immediate="true" value="prcdent" />
                    <f:verbatim>&nbsp;</f:verbatim>
                    <h:commandButton action="#{sessionBean.customerControler.next}" immediate="true" value="suivant" />
                    <f:verbatim>&nbsp;</f:verbatim>
                    <h:commandButton action="#{sessionBean.customerControler.copy}" value="dupliquer" />
                    <f:verbatim>&nbsp;</f:verbatim>
                    <h:commandButton action="#{sessionBean.customerControler.foobar}" value="foobar" />
                </h:panelGroup>
            </h:panelGrid>
        </h:form>
    </h:panelGroup>
</f:view>
</body>
</html>
