<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>customer list</title>
<link rel="stylesheet" type="text/css href=" ./css/basic.css" />
</head>
<body>
<f:view>
	<h:form id="start">
		<h:commandLink action="start" value="start" />
		<br />
		<h:commandLink action="up" value="back to bank" />
	</h:form>
	<h:form>
		<h:outputText styleClass="header18"
			value="Banque #{sessionBean.currentBank.name}" />

		<h:panelGroup id="body">
			<h:panelGrid columns="1">
				<h:dataTable id="data" styleClass="standardTable" var="vCustomer"
					value="#{sessionBean.customerControler.customers}">
					<h:column>
						<h:commandLink value="#{vCustomer.id}"
							action="#{sessionBean.customerControler.edit}" immediate="true">
							<f:setPropertyActionListener value="#{vCustomer}"
								target="#{sessionBean.currentCustomer}" />
						</h:commandLink>
					</h:column>
					<h:column>
						<h:commandLink value="#{vCustomer.name}"
							action="#{sessionBean.customerControler.edit}" immediate="true">
							<f:setPropertyActionListener value="#{vCustomer}"
								target="#{sessionBean.currentCustomer}" />
						</h:commandLink>
					</h:column>
					<h:column>
						<h:outputText value="#{vCustomer.forName}" />
					</h:column>
					<h:column>
						<h:outputText value="#{vCustomer.address}" />
					</h:column>
					<h:column>
						<h:outputText value="#{vCustomer.zipCode}" />
					</h:column>
				</h:dataTable>
				<h:commandLink action="#{sessionBean.customerControler.create}" immediate="true">
					<h:outputText value="new customer" styleClass="standard" />
				</h:commandLink>
			</h:panelGrid>
		</h:panelGroup>
	</h:form>
</f:view>
</body>

</html>
